Name:           qubes-split-browser
Version:        0.15.0
Release:        1%{?dist}
BuildArch:      noarch
License:        0BSD
URL:            https://github.com/rustybird/qubes-app-split-browser
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  make
Requires:       %{_bindir}/awk
Requires:       bash >= 4.4
Requires:       coreutils
Requires:       dmenu
Requires:       libnotify
Requires:       python3
Requires:       python3-xcffib
Requires:       systemd
Recommends:     oathtool
Recommends:     pwgen
Summary:        Split Browser for Qubes

%description
Handle persistent bookmarks and logins in a Qubes VM, and communicate with
throwaway Tor Browser (or Firefox) instances in DisposableVMs.

%prep
%setup -q
patch -p1 -i rpm_spec/lib64.diff

%install
gmake -C vm PREFIX=/usr DESTDIR="$RPM_BUILD_ROOT" install-persist install-disp

%files
%license LICENSE-0BSD
%doc README.md
%config(noreplace) /etc/split-browser/
/usr/bin/*
/usr/lib/tmpfiles.d/split-browser.conf
/usr/share/applications/*

%package disp
Requires:       bash >= 4.4
Requires:       coreutils
Requires:       socat
Requires:       systemd
Recommends:     xdotool
Summary:        Split Browser for Qubes (DisposableVM side)

%description disp
Present a throwaway Tor Browser (or Firefox) instance in a Qubes DisposableVM,
and communicate with a VM that handles persistent bookmarks and logins.

%files disp
%license LICENSE-0BSD
%config(noreplace) /etc/split-browser-disp/
/etc/qubes-rpc/*
/usr/lib/tmpfiles.d/split-browser-disp.conf
/usr/share/split-browser-disp/

%changelog
* Mon May 30 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS-contrib/qubes-app-split-browser.git

* Mon May 30 2022 Rusty Bird <rustybird@net-c.com> - a32b121
- version 0.15.0

* Mon May 30 2022 Rusty Bird <rustybird@net-c.com> - e272b66
- (packaging): debian: Update standards version

* Fri May 13 2022 Rusty Bird <rustybird@net-c.com> - d876b94
- Add $SB_DISP variable to override default @dispvm

* Fri May 13 2022 Rusty Bird <rustybird@net-c.com> - 404cede
- README.md: Update link

* Mon Mar 28 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 23e6f0b
- Add gitlab-ci

* Wed Mar 16 2022 Rusty Bird <rustybird@net-c.com> - ec2237c
- version 0.14.1

* Wed Mar 16 2022 Rusty Bird <rustybird@net-c.com> - 1266f90
- Fix occasional browser launch failure in DisposableVM

* Wed Mar 16 2022 Rusty Bird <rustybird@net-c.com> - ea00313
- Remove obsolete pref

* Wed Mar 16 2022 Rusty Bird <rustybird@net-c.com> - 3a7a223
- Update copyright year

* Wed Mar 16 2022 Rusty Bird <rustybird@net-c.com> - 0062c0d
- (packaging): debian: Update standards version

* Tue Sep 28 2021 Rusty Bird <rustybird@net-c.com> - 2a9a4f2
- version 0.14.0

* Tue Sep 28 2021 Rusty Bird <rustybird@net-c.com> - b4dfcd8
- Support multiple URL arguments for 'split-browser-cmd newtab'

* Tue Sep 28 2021 Rusty Bird <rustybird@net-c.com> - 26d7ddc
- sb.js: Inline newTab()

* Tue Sep 28 2021 Rusty Bird <rustybird@net-c.com> - e33914d
- x11-unoverride-redirect: Fix pylint consider-using-with warning

* Tue Sep 28 2021 Rusty Bird <rustybird@net-c.com> - a364c66
- (packaging): rpm_spec: Sort file list alphabetically

* Tue Jul 06 2021 Rusty Bird <rustybird@net-c.com> - 24fff57
- Remove obsolete pref

* Tue Jul 06 2021 Rusty Bird <rustybird@net-c.com> - 40dc481
- Code style tweaks

* Tue Jul 06 2021 Rusty Bird <rustybird@net-c.com> - 8f8bc79
- README.md: Reformat example login directory structure

* Mon May 10 2021 Rusty Bird <rustybird@net-c.com> - 04b62cd
- Revert "(packaging): Don't hardcode package release number"

* Mon May 10 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0cdc88d
- version 0.13.1-1

* Sun May 09 2021 Rusty Bird <rustybird@net-c.com> - ebdb4c1
- version 0.13.0-2

* Sun May 09 2021 Rusty Bird <rustybird@net-c.com> - 278dd16
- (packaging): rpm_spec: Add 'make' build dependency for fc34

* Sun May 09 2021 Rusty Bird <rustybird@net-c.com> - f5c80f0
- (packaging): Don't hardcode package release number

* Sun May 09 2021 Rusty Bird <rustybird@net-c.com> - f5336c6
- Update copyright year

* Thu Dec 17 2020 Rusty Bird <rustybird@net-c.com> - 3b1e0c8
- version 0.13.0

* Thu Dec 17 2020 Rusty Bird <rustybird@net-c.com> - 621ef8f
- Register Split Browser as an available HTTP(S) handler

* Thu Dec 17 2020 Rusty Bird <rustybird@net-c.com> - 852ed6f
- sb.js: Code style tweaks

* Thu Dec 17 2020 Rusty Bird <rustybird@net-c.com> - c2c1b58
- (packaging): debian: Update standards version

* Thu Dec 17 2020 Rusty Bird <rustybird@net-c.com> - befb09b
- Remove cruft

* Tue Dec 15 2020 Rusty Bird <rustybird@net-c.com> - 34d87e4
- README.md: Add qubes-repo-contrib install instructions

* Tue Dec 15 2020 Rusty Bird <rustybird@net-c.com> - ca48423
- README.md: "default DisposableVM Template", as in Qube Settings

* Tue Dec 15 2020 Rusty Bird <rustybird@net-c.com> - 46af15f
- README.md: Uppercase "XX" version placeholder, as in qubes-doc

* Tue Dec 15 2020 Rusty Bird <rustybird@net-c.com> - 5b7eb05
- README.md: Rephrase

* Mon Nov 30 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 2175a0a
- version 0.12.4

* Sun Nov 22 2020 Rusty Bird <rustybird@net-c.com> - d4ba6b2
- Rename this Git repo to qubes-app-split-browser

* Sun Nov 22 2020 Rusty Bird <rustybird@net-c.com> - cd4bb60
- split-browser-login: Remove stray space

* Mon Nov 16 2020 Rusty Bird <rustybird@net-c.com> - 00fa7cb
- Code style tweaks

* Sun Sep 27 2020 Rusty Bird <rustybird@net-c.com> - e2d93ee
- Remove obsolete (Firefox ESR 68 era) prefs

* Sun Aug 23 2020 Rusty Bird <rustybird@net-c.com> - 67ba7b5
- v0.12.3

* Sun Aug 23 2020 Rusty Bird <rustybird@net-c.com> - e94d30d
- split-browser-{login,bookmark}: Sync to disk

* Sun Aug 23 2020 Rusty Bird <rustybird@net-c.com> - 49ea370
- split-browser-login: Write to .tmp

* Sun Aug 23 2020 Rusty Bird <rustybird@net-c.com> - ae44bac
- split-browser-login: Create urls.txt after fields/

* Sun Aug 23 2020 Rusty Bird <rustybird@net-c.com> - 068061c
- split-browser-login: Use flock

* Sun Aug 23 2020 Rusty Bird <rustybird@net-c.com> - 8d8359e
- split-browser-login: Allow omitting unused third argument

* Sun Aug 23 2020 Rusty Bird <rustybird@net-c.com> - ca11183
- Code style tweaks

* Sun Aug 23 2020 Rusty Bird <rustybird@net-c.com> - 58d736f
- split-browser(-bookmark): Use 'mv -T' where appropriate

* Mon Aug 10 2020 Rusty Bird <rustybird@net-c.com> - 284a7a4
- v0.12.2 - SECURITY BUGFIX

* Mon Aug 10 2020 Rusty Bird <rustybird@net-c.com> - 803073d
- split-browser-bookmark: Escape \ in notification body!

* Mon Aug 10 2020 Rusty Bird <rustybird@net-c.com> - 57853a5
- split-browser-bookmark: XML-escape even for attribute context

* Mon Aug 10 2020 Rusty Bird <rustybird@net-c.com> - 30703fd
- split-browser-bookmark: $SB_BOOKMARK_PRETTY_DATE_LEN <= 25

